Bug 1628739 (CVE-2018-16831) - CVE-2018-16831 php-Smarty: trusted_dir protection mechanism bypass
Summary: CVE-2018-16831 php-Smarty: trusted_dir protection mechanism bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16831
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628740 1628741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-13 20:21 UTC by Laura Pardo
Modified: 2019-09-29 14:58 UTC (History)
2 users (show)

Fixed In Version: php-Smarty 3.1.33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 21:25:01 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-09-13 20:21:39 UTC
Smarty before 3.1.33-dev-4 allows attackers to bypass the trusted_dir protection mechanism via a file:./../ substring in an include statement.


References:
https://github.com/smarty-php/smarty/issues/486

Comment 1 Laura Pardo 2018-09-13 20:22:08 UTC
Created php-Smarty tracking bugs for this issue:

Affects: epel-all [bug 1628740]
Affects: fedora-all [bug 1628741]

Comment 2 Shawn Iwinski 2019-03-21 03:30:06 UTC
All dependent bugs have been closed.  Can this tracking bug be closed?

Comment 3 Laura Pardo 2019-03-21 21:25:01 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this tracking bug be closed?

Hi! yes, I have closed it. Thanks for checking.


Note You need to log in before you can comment on or make changes to this bug.